%define anolis_release 3

Name:           libdnf
Version:        0.70.2
Release:        %{anolis_release}%{?dist}
Summary:        Library providing simplified C and Python API to libsolv

License:        LGPL-2.1-or-later
URL:            https://github.com/rpm-software-management/libdnf
Source0:        https://github.com/rpm-software-management/libdnf/archive/refs/tags/%{version}.tar.gz

Patch0001:	0001-add-sw_64-arch-support.patch
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libsolv-devel >= 0.7.21
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.46.0
BuildRequires:  pkgconfig(gtk-doc) >= 1.9
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(librepo) >= 1.13.0
BuildRequires:  pkgconfig(modulemd-2.0) >= 2.11.2
BuildRequires:  pkgconfig(rpm) >= 4.15.0
BuildRequires:  pkgconfig(smartcols)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  gettext
BuildRequires:  gpgme-devel

Requires:       libmodulemd >= 2.11.2
Requires:       libsolv >= 0.7.21
Requires:       librepo >= 1.13.0

%description
A Library providing simplified C and Python API to libsolv.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%package -n python3-%{name}
%{?python_provide:%python_provide python3-%{name}}
Summary:        Python 3 bindings for the libdnf library.
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  swig

%description -n python3-%{name}
python 3 bindings for the libdnf library.

%package -n python3-hawkey
Summary:        Python 3 bindings for the hawkey library
%{?python_provide:%python_provide python3-hawkey}
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python3-%{name} = %{version}-%{release}
Conflicts:      python3-dnf < 4.11.0

%description -n python3-hawkey
Python 3 bindings for the hawkey library.

%prep
%autosetup -p1

%build
%cmake -DPYTHON_DESIRED:FILEPATH=%{__python3} -DWITH_MAN=0 \
  -DWITH_ZCHUNK=OFF -DDISABLE_VALGRIND=1 -DWITH_SANTIZERS=OFF
%cmake_build

%check
%ctest

%install
%cmake_install

%generate_compatibility_deps

%find_lang %{name}

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_libdir}/%{name}.so.*
%{abidir}/%{name}.dump
%dir %{_libdir}/libdnf/
%dir %{_libdir}/libdnf/plugins/
%{_libdir}/libdnf/plugins/README

%files doc
%doc README.md AUTHORS

%files devel
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/

%files -n python3-%{name}
%{abidir}/_*.dump
%{python3_sitearch}/%{name}/

%files -n python3-hawkey
%{python3_sitearch}/hawkey/

%changelog
* Wed Mar 12 2025 zhuyunfei <zhuyunfei@nfschina.com> - 0.70.2-3
- add sw_64 arch support

* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 0.70.2-2
- Rebuild with python3.11

* Fri Aug 4 2023 Funda Wang <fundawang@yeah.net> - 0.70.2-1
- New version 0.70.2

* Thu May 18 2023 Funda Wang <fundawang@yeah.net> - 0.70.1-1
- New version 0.70.1

* Sat Feb 25 2023 Funda Wang <fundawang@yeah.net> - 0.70.0-1
- New version 0.70.0

* Wed Feb 15 2023 Funda Wang <fundawang@yeah.net> - 0.69.0-1
- New version 0.69.0

* Mon Feb 13 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.68.0-1
- update to 0.68.0

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.65.0-2
- optimise spec file & add doc package

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.65.0-1
- Initial packaging for Anolis OS 23
